<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Card extends Model
{
    use HasFactory;
    
    protected $guarded = [];
    
     // Relation with Transactions
    public function transactions()
    {
        return $this->hasMany(Transaction::class, 'card_id');
    }
}
